## nbsdgames 5

=== Makefile ===
# -*- Makefile -*-

#-O3 --std=c99 -lcurses -DNO_MOUSE for NetBSD curses
#adding --std=c99 makes warnings in GNU, and the blame is upon glibc feature test macros. my code is correct.

GAMES_DIR?=/usr/games
SCORES_DIR?=/var/games
MAN_DIR?=/usr/share/man/man6
CFLAGS+=  -Wno-unused-result -D SCORES_DIR=\"$(SCORES_DIR)\"
LDFLAGS+= -lncurses -lm


ALL= nbsdgames jewels sudoku mines reversi checkers battleship rabbithole sos pipes fifteen memoblocks fisher muncher miketron redsquare darrt snakeduel tugow
SCORE_FILES= pipes_scores jewels_scores miketron_scores muncher_scores fisher_scores darrt_scores tugow_scores

all: $(ALL) 

scorefiles:
	for sf in $(SCORE_FILES); do touch $(SCORES_DIR)/$$sf ; chmod 664 $(SCORES_DIR)/$$sf; chown :games $(SCORES_DIR)/$$sf ; done;
	for game in $(ALL); do chown :games $(GAMES_DIR)/$$game; chmod g $(GAMES_DIR)/$$game ; done;

manpages:
	cp man/* $(MAN_DIR)
jewels: jewels.c config.h common.h
	$(CC) jewels.c $(LDFLAGS) $(CFLAGS) -o ./jewels
sudoku: sudoku.c config.h 
	$(CC) sudoku.c $(LDFLAGS) $(CFLAGS)  -o ./sudoku
mines: mines.c config.h
	$(CC) mines.c $(LDFLAGS) $(CFLAGS) -o ./mines
reversi: reversi.c config.h
	$(CC) reversi.c $(LDFLAGS) $(CFLAGS)  -o ./reversi
checkers: checkers.c config.h
	$(CC) checkers.c $(LDFLAGS) $(CFLAGS) -o ./checkers
battleship: battleship.c config.h
	$(CC) battleship.c $(LDFLAGS) $(CFLAGS) -o ./battleship
rabbithole: rabbithole.c config.h
	$(CC) rabbithole.c $(LDFLAGS) $(CFLAGS) -o ./rabbithole
sos: sos.c config.h
	$(CC) sos.c $(LDFLAGS) $(CFLAGS) -o ./sos
pipes: pipes.c config.h common.h
	$(CC) pipes.c $(LDFLAGS) $(CFLAGS) -o ./pipes
fifteen: fifteen.c config.h
	$(CC) fifteen.c $(LDFLAGS) $(CFLAGS) -o ./fifteen
memoblocks: memoblocks.c
	$(CC) memoblocks.c $(LDFLAGS) $(CFLAGS) -o ./memoblocks
fisher: fisher.c config.h common.h
	$(CC) fisher.c $(LDFLAGS) $(CFLAGS) -o ./fisher
muncher: muncher.c config.h common.h
	$(CC) muncher.c $(LDFLAGS) $(CFLAGS) -o ./muncher
miketron: miketron.c config.h common.h
	$(CC) miketron.c $(LDFLAGS) $(CFLAGS) -o ./miketron
redsquare: redsquare.c config.h
	$(CC) redsquare.c $(LDFLAGS) $(CFLAGS) -o ./redsquare
darrt: darrt.c config.h common.h
	$(CC) darrt.c $(LDFLAGS) $(CFLAGS)  -o ./darrt
nbsdgames: nbsdgames.c
	$(CC) nbsdgames.c $(LDFLAGS) $(CFLAGS) -o ./nbsdgames
snakeduel: snakeduel.c config.h
	$(CC) snakeduel.c $(LDFLAGS) $(CFLAGS)  -o ./snakeduel
tugow: tugow.c common.h
	$(CC) tugow.c $(LDFLAGS) $(CFLAGS) -o ./tugow
menu:
	cp nbsdgames.desktop /usr/share/applications
	cp nbsdgames.svg /usr/share/pixmaps
clean:
	for game in $(ALL); do rm $$game; done;
uninstall:
	for game in $(ALL); do rm $(GAMES_DIR)/$$game; rm $(MAN_DIR)/$$game.6.gz ;done;
install: $(ALL)
	cp $(ALL)  $(GAMES_DIR)
test:
	for game in $(ALL); do ./$$game ;done;

#######for namespacing #######
nb:
	CFLAGS="$$CFLAGS -D NB=\\\"nb\\\"" make
	for game in $(ALL); do cp $$game nb$$game ;done;
	for manpage in $(ls man); do cp man/$$manpage man/nb$$manpage ;done;
nbinstall: nb 
	cp nb* $(GAMES_DIR)
nbmanpages: nb
	cp man/nb* $(MAN_DIR)
nbclean:
	for game in $(ALL); do rm nb$$game; done;

=== debian/changelog ===
nbsdgames (5-8) unstable; urgency=medium

  * Fix FTCBFS: Don't override dh_auto_build. (Closes: #1066907)
    Thanks Helmut Grohne.

 -- Alex Myczko <tar@debian.org>  Sat, 27 Jul 2024 12:12:29 +0000

nbsdgames (5-7) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 21:05:39 +0000

nbsdgames (5-6) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Mon, 12 Jun 2023 09:48:31 +0200

nbsdgames (5-5) experimental; urgency=medium

  * d/install: also install desktop file and icon.

 -- Gürkan Myczko <tar@debian.org>  Mon, 13 Feb 2023 07:15:47 +0100

nbsdgames (5-4) unstable; urgency=medium

  * Really fix the broken purge. (Closes: #1029443)

 -- Gürkan Myczko <tar@debian.org>  Tue, 31 Jan 2023 13:31:17 +0100

nbsdgames (5-3) unstable; urgency=medium

  * d/postrm: fix piuparts regression, drop double code.
  * Bump standards version to 4.6.1.
  * d/control: wrap build-depends.

 -- Gürkan Myczko <tar@debian.org>  Fri, 19 Aug 2022 10:58:46 +0200

nbsdgames (5-2) unstable; urgency=medium

  * d/postinst: add new games.
  * d/rules:
    - drop chown as it is already in postinst.
    - set SCORES_DIR.
  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Wed, 09 Feb 2022 19:26:14 +0100

nbsdgames (5-1) unstable; urgency=medium

  * Initial release. (Closes: #964876)

 -- Gürkan Myczko <tar@debian.org>  Wed, 09 Feb 2022 07:54:08 +0100

=== debian/control ===
Source: nbsdgames
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends: debhelper-compat (= 13),
 libncurses-dev,
 mmv
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/games-team/nbsdgames.git
Vcs-Browser: https://salsa.debian.org/games-team/nbsdgames
Homepage: https://github.com/abakh/nbsdgames
Rules-Requires-Root: no

Package: nbsdgames
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: text based mini games for your terminal
 This is a collection of diverse textual games featuring AI, 2 player mode,
 flexible board size, color, mouse support etc.
 .
 It includes: battleship, checkers, fifteen, fisher, jewels, memoblocks,
 miketron, mines, muncher, pipes, rabbithole, redsquare, reversi, sos,
 sudoku.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

export SCORES_DIR=/var/games/nbsdgames

%:
	dh $@

override_dh_auto_clean:
	@echo BROKEN TARGET

override_dh_auto_install:
	@echo USING d/install

override_dh_auto_test:
	@echo INTERACTIVE TESTS?

#execute_after_dh_fixperms:
override_dh_fixperms:
	dh_fixperms
	cd debian/nbsdgames/usr/games; mmv '*' 'nb#1'
	cd debian/nbsdgames/usr/share/man/man6; mmv '*' 'nb#1'

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/abakh/nbsdgames/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
